Unable to install the Azure Functions Core tools version 3 in windows locally

Previously, I have the azure functions core tools version 3.

For practice purpose, I have installed azure functions core tool version 2 using this command:

npm i -g [email protected] --unsafe-perm true

Now, I'm trying to install the latest azure functions core tools version 3 but how many times I tried through PowerShell or from the GitHub (downloading and installing the application), its not updating. It's still showing the version 2.x

Below code is what I have tried:

PS C:\Users\krishna> func --version
2.7.3188
PS C:\Users\krishna> npm i -g [email protected] --unsafe-perm true
C:\Users\krishna\AppData\Roaming\npm\azurefunctions -> C:\Users\krishna\AppData\Roaming\npm\node_modules\azure-functions-core-tools\lib\main.js
C:\Users\krishna\AppData\Roaming\npm\func -> C:\Users\krishna\AppData\Roaming\npm\node_modules\azure-functions-core-tools\lib\main.js
C:\Users\krishna\AppData\Roaming\npm\azfun -> C:\Users\krishna\AppData\Roaming\npm\node_modules\azure-functions-core-tools\lib\main.js

> [email protected] postinstall C:\Users\krishna\AppData\Roaming\npm\node_modules\azure-functions-core-tools
> node lib/install.js

attempting to GET "https://functionscdn.azureedge.net/public/3.0.3904/Azure.Functions.Cli.win-x64.3.0.3904.zip"
[==================] Downloading Azure Functions Core Tools

Telemetry
---------
The Azure Functions Core tools collect usage data in order to help us improve your experience.
The data is anonymous and doesn't include any user specific or personal information. The data is collected by Microsoft.

You can opt-out of telemetry by setting the FUNCTIONS_CORE_TOOLS_TELEMETRY_OPTOUT environment variable to '1' or 'true' using your favorite shell.

+ [email protected]
added 51 packages from 31 contributors in 463.874s
PS C:\Users\krishna> func --version
2.7.3188
PS C:\Users\krishna> func version
2.7.3188
PS C:\Users\krishna>

And my node installed version is 14.x.

Could anyone help me here how to install the Azure Functions core tools v3 in windows system (locally)?

1 answer

  • answered 2021-11-23 04:50 SwethaKandikonda-MT

    This might be due to the node version. When I tried to use the latest node version to 16v and npm of 8v I could able to change my azure function tools version from 2v to 3v or 3v to 2v (i.e.. Interchangeable).

    Here is the screenshot for your reference. enter image description here

How many English words
do you know?
Test your English vocabulary size, and measure
how many words do you know
Online Test
Powered by Examplum